com.google.gwt.dom.builder.shared

## Interface InputBuilder

- All Superinterfaces:
    ElementBuilderBase<InputBuilder>
  All Known Implementing Classes:
    DomInputBuilder, HtmlInputBuilder

      public interface InputBuilder
      extends ElementBuilderBase<InputBuilder>

  Builds an input element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputBuilder` | `accept(java.lang.String accept)` A comma-separated list of content types that a server processing this form will handle correctly.
    `InputBuilder` | `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
    `InputBuilder` | `alt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
    `InputBuilder` | `checked()` Set the state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".
    `InputBuilder` | `defaultChecked()` Set the default state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".
    `InputBuilder` | `defaultValue(java.lang.String defaultValue)` When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
    `InputBuilder` | `disabled()` Disable the control.
    `InputBuilder` | `maxLength(int maxLength)` Maximum number of characters for text fields, when type has the value "text" or "password".
    `InputBuilder` | `name(java.lang.String name)` Form control or object name when submitted with a form.
    `InputBuilder` | `readOnly()` Make the control read-only.
    `InputBuilder` | `size(int size)` Size information.
    `InputBuilder` | `src(java.lang.String src)` When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
    `InputBuilder` | `value(java.lang.String value)` When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### accept

          InputBuilder accept(java.lang.String accept)

      A comma-separated list of content types that a server processing this form will handle correctly.
      See Also:
        W3C HTML Specification

    - #### accessKey

          InputBuilder accessKey(java.lang.String accessKey)

      A single character access key to give access to the form control.
      See Also:
        W3C HTML Specification

    - #### alt

          InputBuilder alt(java.lang.String alt)

      Alternate text for user agents not rendering the normal content of this element.
      See Also:
        W3C HTML Specification

    - #### checked

          InputBuilder checked()

      Set the state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".

    - #### defaultChecked

          InputBuilder defaultChecked()

      Set the default state of the form control to `true` when type attribute of the element has the value "radio" or "checkbox".
      See Also:
        W3C HTML Specification

    - #### defaultValue

          InputBuilder defaultValue(java.lang.String defaultValue)

      When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.
      See Also:
        W3C HTML Specification

    - #### disabled

          InputBuilder disabled()

      Disable the control.
      See Also:
        W3C HTML Specification

    - #### maxLength

          InputBuilder maxLength(int maxLength)

      Maximum number of characters for text fields, when type has the value "text" or "password".
      See Also:
        W3C HTML Specification

    - #### name

          InputBuilder name(java.lang.String name)

      Form control or object name when submitted with a form.
      See Also:
        W3C HTML Specification

    - #### readOnly

          InputBuilder readOnly()

      Make the control read-only. Relevant only when type has the value "text" or "password".
      See Also:
        W3C HTML Specification

    - #### size

          InputBuilder size(int size)

      Size information. The precise meaning is specific to each type of field.
      See Also:
        W3C HTML Specification

    - #### src

          InputBuilder src(java.lang.String src)

      When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
      See Also:
        W3C HTML Specification

    - #### value

          InputBuilder value(java.lang.String value)

      When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the type attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element.
      See Also:
        W3C HTML Specification